<?php if(!$desactivaTeclado) { ?>

<div id="reloj" class="popup calculadora" style="display:none;z-index:30000">
	<div class="popupContenidoSimple">
    	<table class="calculadora">
          <tr>
            <td colspan="4">
            	<input type="text" name="valorReloj" id="valorReloj" value="00:00" class="campo campoCalculadora"/>
                <input type="hidden" name="pulsacion1" id="pulsacion1" value="" />
                <input type="hidden" name="pulsacion2" id="pulsacion2" value="" />
                <input type="hidden" name="pulsacion3" id="pulsacion3" value="" />
                <input type="hidden" name="pulsacion4" id="pulsacion4" value="" />
            </td>
          </tr>
          <tr>
            <td><input type="submit" name="7" id="7" value="7" class="botonReloj"/></td>
            <td><input type="submit" name="8" id="8" value="8" class="botonReloj"/></td>
            <td><input type="submit" name="9" id="9" value="9" class="botonReloj"/></td>
            <td><input type="submit" name="C" id="C" value="C" class="botonReloj"/></td>
          </tr>
          <tr>
            <td><input type="submit" name="4" id="4" value="4" class="botonReloj"/></td>
            <td><input type="submit" name="5" id="5" value="5" class="botonReloj"/></td>
            <td><input type="submit" name="6" id="6" value="6" class="botonReloj"/></td>
            <td><input type="submit" name="dosPuntos" id="dosPuntos" value=":" class="botonReloj"/></td>
          </tr>
          <tr>
            <td><input type="submit" name="1" id="12" value="1" class="botonReloj"/></td>
            <td><input type="submit" name="12" id="13" value="2" class="botonReloj"/></td>
            <td><input type="submit" name="13" id="1" value="3" class="botonReloj"/></td>
            <td rowspan="2"><input type="submit" name="enterReloj" id="enterReloj" value="OK" campovalor="" cambioFoco="" forzarEnter="" class="botonReloj botonRelojEnter"/></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><input type="submit" name="0" id="0" value="0" class="botonReloj"/></td>
            <td>&nbsp;</td>
          </tr>
        </table>
  </div>
</div>
<script>

function construyeHora(valor) {

	var construccion;

	if( valor==':') {
		//if(horas.length==1) respuesta='0'+horas+':00';
		//else respuesta=false;
	}
	else {
	
		valor=parseInt(valor);
		
		if(valor==0) {
			if($('#pulsacion1').val()=='') $('#pulsacion1').val(valor);
			else if($('#pulsacion2').val()=='') $('#pulsacion2').val(valor);
			else if($('#pulsacion3').val()=='') $('#pulsacion3').val(valor);
			else if($('#pulsacion4').val()=='') $('#pulsacion4').val(valor);
		}
		else {
			if($('#pulsacion1').val()=='') {
				if(valor>2) {
					$('#pulsacion1').val('0');
					$('#pulsacion2').val(valor);
				}
				else $('#pulsacion1').val(valor);
			}
			else if($('#pulsacion2').val()=='') {
				if( ($('#pulsacion1').val()==2 && valor<=3) || $('#pulsacion1').val()=='1' || $('#pulsacion1').val()=='0' ) $('#pulsacion2').val(valor);
			}
			else if($('#pulsacion3').val()=='') {
				if(valor>5) {
					$('#pulsacion3').val('0');
					$('#pulsacion4').val(valor);
				}
				else $('#pulsacion3').val(valor);
			}
			else if($('#pulsacion4').val()=='') $('#pulsacion4').val(valor);
		}
		
	
	}
	
	var digito1;
	var digito2;
	var digito3;
	var digito4;
	
	if($('#pulsacion1').val()=='') digito1=0; else digito1=$('#pulsacion1').val();
	if($('#pulsacion2').val()=='') digito2=0; else digito2=$('#pulsacion2').val();
	if($('#pulsacion3').val()=='') digito3=0; else digito3=$('#pulsacion3').val();
	if($('#pulsacion4').val()=='') digito4=0; else digito4=$('#pulsacion4').val();
	
	construccion=digito1+digito2+':'+digito3+digito4;
	
	$('#valorReloj').val( construccion );
    
}

function reiniciaHora() {
	$('#valorReloj').val('00:00');
	$('#pulsacion1').val('');
	$('#pulsacion2').val('');
	$('#pulsacion3').val('');
	$('#pulsacion4').val('');
}


$(document).ready(function() {

	$('.botonReloj').on("click",function(e){
	
		e.preventDefault();
		
		if( $(this).val()=='C')	{
			reiniciaHora();
		}
		else if( $(this).val()=='OK' ) {
			
			var campo=$(this).attr('campoValor');
			var valorFinal=$('#valorReloj').val();
			
			var forzarEnter;
			if( $(this).attr('forzarEnter')=='si' ) forzarEnter=true;
			var cambioFoco;
			if( $(this).attr('cambioFoco')=='si' ) cambioFoco=true;
			
			$('#'+campo).val( valorFinal );
			
			if( forzarEnter || cambioFoco ) {
				$('#'+campo).trigger("change");
			}
			else {
				$('#'+campo).focus();
			}
			
			$('#reloj').hide();
			
		}
		else {
			construyeHora( $(this).val() );
		}
	
	});
	
});
</script>

<?php } ?>